Update one or more fields of a key resource
Updates all of the fields described in the request body of the specified key. Fields left out of the body will remain unaffected.
curl --request PUT \
--url https://api.mezmo.com/v1/config/keys/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "servergroup_0_ingestion"
}
'import requests
url = "https://api.mezmo.com/v1/config/keys/{id}"
payload = { "name": "servergroup_0_ingestion" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'servergroup_0_ingestion'})
};
fetch('https://api.mezmo.com/v1/config/keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "629e3f7e62295be60488fb26",
"key": "7b273eb8adc962f2711ad760730debb0",
"name": "servergroup_0_ingestion",
"type": "ingestion",
"created": 1654538253244
}{
"error": "\"name\" length must be less than or equal to 30 characters long",
"code": "BadRequest",
"status": "error"
}{
"error": "Key with id 629eb5369e5b231f51d3830f was not found",
"code": "NotFound",
"status": "error"
}Authorizations
The primary authentication method for the Mezmo API.
Pass the key in the Authorization header in the format Token <ACCESS TOKEN>.
For example:
curl -H 'Authorization: Token <ACCESS TOKEN>'
This key is used for all APIs with the exception of ingest.
Path Parameters
The id of the key to update The ID of the key
"629e3f7e62295be60488fb26"
Body
A user friendly name for the key
30"servergroup_0_ingestion"
Response
The update was successful; the key resource is returned with updated fields.
The ID of the key
"629e3f7e62295be60488fb26"
A secret key which can be used to authenticate requests to Mezmo.
"7b273eb8adc962f2711ad760730debb0"
A user friendly name for the key
30"servergroup_0_ingestion"
The type of the key
ingestion, service "ingestion"
The time the key was created as a Unix timestamp in milliseconds
1654538253244
Was this page helpful?

